databaseChangeLog:
  - logicalFilePath: 20240616-03-create-table-monthly_expense.yaml
  - changeSet:
      id: 20240616-03
      author: ShahinMammadov
      changes:
        - createTable:
            tableName: monthly_expense
            columns:
              - column:
                  name: id
                  type: BIGINT
                  autoIncrement: true
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: month
                  type: DATE
                  constraints:
                    nullable: false
              - column:
                  name: total_expense
                  type: DECIMAL(19,2)
                  constraints:
                    nullable: false
              - column:
                  name: user_id
                  type: UUID
                  constraints:
                    nullable: false
